CLAWSKER(1)

NAME
Clawsker - A Claws Mail Tweaker

SYNOPSIS
clawsker [-a|--alternate-config-dir dirname] [-b|--verbose] [-c|--clawsrc filename] [-r|--read-only]

clawsker [-v|--version]

clawsker [-h|--help]

DESCRIPTION
Clawsker is an applet to edit the so called Claws Mail hidden preferences.

Claws Mail is a fast, lightweight and feature-rich MUA with a high number of configurable options. To keep the binary small and fast some of these preferences which are not widely used are not provided with a graphical interface for inspection and/or modification.

Users wanting to edit such preferences had to face raw editing of their configuration files, now you can do it with a convenient GTK interface using Clawsker.

In adition to hidden features Clawsker can edit also some other settings which usually can only be set indirectly. These include currently the saved positions (and sizes when available) of Claws Mail windows.

OPTIONS

-a | --alternate-config-dir dirname
    Uses dirname as Claws Mail configuration directory.

-b | --verbose
    Tells more on the standard output.

-c | --clawsrc filename
    Uses filename as Claws Mail resource configuration file. This sets the full file name overriding any previous setting.

-h | --help
    Shows a brief help screen.

-r | --read-only
    Edits hidden preferences without saving the changes. It also works while Claws Mail is running.

-v | --version
    Shows version information for program, Perl-GTK and Claws Mail.

Weird option specifications may produce weird results (but otherwise correct).

LIMITATIONS
A running Claws Mail cannot be detected if using the --clawsrc option because the directory is not assumed to be a Claws Mail configuration dir. If that is the case use the --alternate-config-dir option instead.

Detection will also fail if the temporary directory resolution differs. This may happen, for example, when the value of the environment variable TMPDIR under Clawsker is not the same that it was when Claws Mail was launched.

SEE ALSO
Clawsker homepage <http://www.claws-mail.org/clawsker.php>, List of hidden preferences <http://www.claws-mail.org/manual/claws-mail-manual.html#adv_hidden>

AUTHOR
Main author is Ricardo Mones <ricardo@mones.org> with the help of others. See the AUTHORS file on source tarball or git for a detailed list of contributors.

COPYRIGHT
Clawsker is Copyright 2007-2018 by Ricardo Mones Lastra.

LICENSE
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.